libpth20_2.0.7-22_amd64.deb


Advertisement

Description

libpth20 - GNU Portable Threads

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename libpth20_2.0.7-22_amd64.deb
Package name libpth20
Package version 2.0.7
Package release 22
Package architecture amd64
Package type deb
Category libs role::shared-lib
Homepage https://www.gnu.org/software/pth/
License -
Maintainer NIIBE Yutaka <gniibe@fsij.org>
Download size 48.06 KB
Installed size 126.00 KB

Alternatives

Package Version Architecture Repository
libpth20_2.0.7-22_i386.deb 2.0.7 i386 Debian Main
libpth20 - - -

Requires

Name Value
libc6 >= 2.15

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libpth20_2.0.7-22_amd64.deb
Source Package pth

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpth20 deb package:
    # sudo apt-get install libpth20

Files

Path
/usr/lib/x86_64-linux-gnu/libpth.so.20
/usr/lib/x86_64-linux-gnu/libpth.so.20.0.27
/usr/share/doc/libpth20/ANNOUNCE
/usr/share/doc/libpth20/AUTHORS
/usr/share/doc/libpth20/NEWS.gz
/usr/share/doc/libpth20/README
/usr/share/doc/libpth20/SUPPORT
/usr/share/doc/libpth20/THANKS.gz
/usr/share/doc/libpth20/USERS
/usr/share/doc/libpth20/changelog.Debian.gz
/usr/share/doc/libpth20/changelog.gz
/usr/share/doc/libpth20/copyright

Changelog

2019-08-20 - NIIBE Yutaka <gniibe@fsij.org>
pth (2.0.7-22) unstable; urgency=medium
* debian/watch: Fix the URL.
* debian/rules: Simplify.
* debian/source/options: Remove.
2019-08-19 - NIIBE Yutaka <gniibe@fsij.org>
pth (2.0.7-21) unstable; urgency=medium
[ NIIBE Yutaka ]
* debian/compat: Bump to 10, to use autotools-dev.
* debian/control (Build-Depends): Use debhelper >= 10.
(Vcs-Git, Vcs-Browser): New.
(Homepage): Use the one of https.
* debian/rules (override_dh_autoreconf_clean): New.
(override_dh_autoreconf): New.  Use libtoolize.
(override_dh_auto_clean): Remove.
(override_dh_auto_configure): Remove.
* debian/copyright: Use https in URL.
* debian/watch: Update with the site which supports https.
* debian/source/options: New.
* debian/patches/05-linux_3.patch: Update for newer Linux kernel.
* debian/patches/09-configure-ac.patch: New.  Merge 02-configure.patch.
* debian/patches/10-Makefile-in.patch: New.
* debian/patches/02-configure.patch: Remove.
* debian/patches/08-powerpc64le.diff: Remove, now by libtoolize.
* debian/patches/11-autoconf-macros.patch: New.
* debian/patches/12-reproducible-pth-config.patch: New.
* Incorporate changes by Matthias Klose (Closes: #932571).
[ Matthias Klose ]
* No dbg package.
* No more quilt dependency.
* Bump standards version.
2019-07-20 - Matthias Klose <doko@debian.org>
pth (2.0.7-20.1) UNRELEASED; urgency=medium
* Non-maintainer upload.
* Stop building the dbg package.
* Remove quilt as explicit build dependency, fixing the lintian warning.
* Bump standards version.
2014-08-26 - NIIBE Yutaka <gniibe@fsij.org>
pth (2.0.7-20) unstable; urgency=low
[ NIIBE Yutaka ]
* debian/control (Standards-Version): Conforms to 3.9.5.
[ Erwan Prioul ]
* debian/patches/08-powerpc64le.diff: New (Closes: #755899).
* debian/patches/series: Updated.
2013-07-10 - NIIBE Yutaka <gniibe@fsij.org>
pth (2.0.7-19) unstable; urgency=low
* debian/control: Remove Multi-arch from libpth-dev.
[pth-dbg] (Depends): Remove libpth-dev.
* debian/rules: Add _FORTIFY_SOURCE=0 for m68k.
2013-07-08 - NIIBE Yutaka <gniibe@fsij.org>
pth (2.0.7-18) unstable; urgency=low
* debian/control (Description): Remove THE.
Add Multi-arch to libpth-dev and pth-dbg.
* debian/watch: Update.
* debian/rules: Remove _FORTIFY_SOURCE=0 thing, as we have newer libc and
fix for newer kernel now.
* debian/patches/07-test_uctx_fix.patch: New.
2013-07-08 - NIIBE Yutaka <gniibe@fsij.org>
pth (2.0.7-17) unstable; urgency=low
[ NIIBE Yutaka ]
* debian/patches/05-linux_3.patch: New.
* debian/patches/06-ldflags.patch: New.
* debian/control (Standards-Version): Conforms to 3.9.4.
[ Frédéric Brière ]
* Multi-arch support (Closes: 698949).
* debian/{libpth20.install,libpth-dev.install}: Update for multi-arch.
* debian/compat: Require 9.
* debian/control (Build-Depends): Require debhelper >=9.
(Multi-Arch, Pre-Depends): Added.
[ Jani Monoses ]
* debian/patches/04-exit_on_failed_test.patch: New.
* debian/rules: disable _FORTIFY_SOURCE for armel and armhf build.
2010-05-12 - NIIBE Yutaka <gniibe@fsij.org>
pth (2.0.7-16) unstable; urgency=low
* debian/patches/03-hurd-pth_mctx.patch: New file.
Added workaround for GNU/Hurd to fix FTBFS (Closes: #466115).
2010-05-12 - NIIBE Yutaka <gniibe@fsij.org>
pth (2.0.7-15) unstable; urgency=low
* debian/control (Maintainer): New maintainer (Closes: #543857).
(Standards-Version): Bumped to 3.8.4.
(Build-Depends): Specify newer versions for debhelper and quilt.
Removed libc6-dev.
* debian/copyright: Updated.
* debian/patches/01-ia64.patch: Investigated original patch, 
then reviewed it again and added information.
* debian/patches/02-configure.patch: New file.
* debian/libpth20.symbols: New file.
* debian/watch: New file.
* debian/rules: Write from scratch based on sample debian/rules of
dh-make.

See Also

Package Description
libpthread-stubs0-dev_0.4-1_amd64.deb pthread stubs not provided by native libc, development files
libpthread-workqueue-dev_0.9.1-1_amd64.deb thread pool library (development files)
libpthread-workqueue0_0.9.1-1_amd64.deb thread pool library
libptmap-ocaml-dev_2.0.4-2_amd64.deb Maps over integers implemented as Patricia trees (Development package)
libptmap-ocaml-doc_2.0.4-2_all.deb Documentation for ocaml-ptmap
libptmap-ocaml_2.0.4-2_amd64.deb Maps over integers implemented as Patricia trees (Runtime library)
libptscotch-6.0_6.0.7-3_amd64.deb MPI programs and libraries for graph, mesh and hypergraph partitioning
libptscotch-dev_6.0.7-3_amd64.deb MPI programs and libraries for graph, mesh and hypergraph partitioning
libpugixml-dev_1.9-3_amd64.deb Light-weight C++ XML processing library (development)
libpugixml1v5_1.9-3_amd64.deb Light-weight C++ XML processing library
libpugl-0-0_0~svn32+dfsg0-2+b1_amd64.deb portable API for OpenGL graphical interfaces
libpugl-dev_0~svn32+dfsg0-2+b1_amd64.deb portable API for OpenGL graphical interfaces (headers)
libpulse-dev_13.0-2_amd64.deb PulseAudio client development headers and libraries
libpulse-java_2.4.7-2_all.deb PulseAudio sound driver for Java
libpulse-jni_2.4.7-2_amd64.deb PulseAudio sound driver for Java (JNI libraries)
Advertisement
Advertisement